Get By Name
curl --request GET \
--url https://api.nebius.cloud/registry/v1/registries/get-by-name \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.nebius.cloud/registry/v1/registries/get-by-name"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.nebius.cloud/registry/v1/registries/get-by-name', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"metadata": {
"parentId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"labels": {},
"name": "<string>",
"resourceVersion": "<string>",
"updatedAt": "2023-11-07T05:31:56Z"
},
"spec": {
"description": "<string>",
"imagesCount": 123
},
"status": {
"imagesCount": 123,
"registryFqdn": "<string>",
"state": "CREATING"
}
}registries
Get By Name
Gets the Registry resource by its parent IAM container parent_id and name
GET
/
registry
/
v1
/
registries
/
get-by-name
Get By Name
Authorizations
The Authorization header expects a Bearer token.
Response
200 - application/json
A successful response.
This is metadata about the resource, such as its id, name, labels, etc. This contains fields that may be updated both by the end user and the system.
Show child attributes
Show child attributes
This is defined by the user and describes the desired state of system. Fill this in when creating or updating an object.
Show child attributes
Show child attributes
This is filled in by the server and reports the current state of the system.
Show child attributes
Show child attributes
Was this page helpful?
⌘I